2011-07-27 Fatih Aşıcı <fatih@pardus.org.tr>

	* pisi 2.4_rc1

	This is the first release candidate for the upcoming 2.4.x releases.
	This release fixes a regression introduced in beta2 and fixes a cosmetic
	issue in the output of index command.

	I think Pisi is quite ready for a stable release. Therefore, this may be
	the last release before 2.4.

2011-07-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* index: Print CR character at the end

	Otherwise, error messages are not displayed correctly. Still needs some
	tweaks for error/warning strings.

2011-07-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Add a comment for the dict variable

	Also move the creation of Files object down and use itervalues() instead
	of iteritems().

2011-07-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* Revert "build: Remove redundant dict variable"

	This variable prevents writing duplicate entries to files.xml.

2011-07-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* MANIFEST: Add pisi.xml.in to the tarball

2011-07-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* pisi 2.4_beta2

	This is the second beta for the upcoming 2.4.x releases. This release
	includes enhancements, important bug fixes, and translation updates.

	Notable changes (see ChangeLog file for details):
	  - Support for 7-zip source archives
	  - Refactored check command
	  - Revised cli messages
	  - Switch from pygettext to xgettext

2011-07-14 Fatih Aşıcı <fatih@pardus.org.tr>
	* archive: Handle possible conflicts if upper directories cannot be created

	Installation fails when overriding a file with a directory. With this
	change, Pisi will remove the old files before creating the upper
	directories.

2011-06-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Remove redundant dict variable

2011-06-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* autoxml: Remove redundant check

2011-06-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* autoxml: Check values against NoneType

	The expression "value" is also False when the value equals zero. This
	prevents the presence of the tags with a value of zero.

	Fixes the bug reported at http://bugs.pardus.org.tr/18467.

2011-06-17 Fatih Aşıcı <fatih@pardus.org.tr>
	* l10n: Update messages

2011-06-17 Fatih Aşıcı <fatih@pardus.org.tr>
	* deletecache: Append dots to the info text for consistency

2011-06-17 Fatih Aşıcı <fatih@pardus.org.tr>
	* l10n: Update messages

	Fixes the bug reported at http://bugs.pardus.org.tr/18427.

2011-06-17 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/check: Fix usage string to show an example of -c option

2011-06-17 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/check: Style fixes

2011-06-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* addrepo: Handle all pisi errors occurred when updating the new repo

	Fixes the bug reported at http://bugs.pardus.org.tr/18309.

2011-06-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* l10n/tr: Add missing space

2011-06-13 Ozan Çağlayan <ozan@pardus.org.tr>
	* cli: Pretty print pisi search output

	Slightly modified version of patch provided by Anıl Özbek

	Fixes the bug reported at http://bugs.pardus.org.tr/17719.

2011-06-13 Ozan Çağlayan <ozan@pardus.org.tr>
	* sourcedb: whitespace cleanup, update copyright date

2011-06-13 Ozan Çağlayan <ozan@pardus.org.tr>
	* db: whitespace cleanup, update copyright date

2011-06-13 Ozan Çağlayan <ozan@pardus.org.tr>
	* api: Generate some information about delete_cache

	Fixes the bug reported at http://bugs.pardus.org.tr/18310.

2011-06-09 Ozan Çağlayan <ozan@pardus.org.tr>
	* graph: only replace allowed characters which are -,+,_

2011-06-09 Ozan Çağlayan <ozan@pardus.org.tr>
	* graph: Use list comprehension for value sanitizing which is ~2x faster

2011-06-08 Metin Akdere <metin@pardus.org.tr>
	* archive: Fix typo in recently added Archive7Zip class

2011-06-08 Ozan Çağlayan <ozan@pardus.org.tr>
	* Drop old readme

2011-06-08 Ozan Çağlayan <ozan@pardus.org.tr>
	* upgrade: Use flatten_list() which is ~9x faster than sum() construct

2011-06-08 Ozan Çağlayan <ozan@pardus.org.tr>
	* rng: Add CCPL-Attribution-ShareAlike-NonCommercial-3.0

	See http://bugs.pardus.org.tr/17792.

2011-06-08 Ozan Çağlayan <ozan@pardus.org.tr>
	* l10n: Update messages

2011-06-08 Ozan Çağlayan <ozan@pardus.org.tr>
	* archive: Add support for 7-Zip source archives

	Dynamically check the unpacker and gracefully inform the user
	about the missing utility.

	Fixes the bug reported at http://bugs.pardus.org.tr/3870.

2011-06-08 Ozan Çağlayan <ozan@pardus.org.tr>
	* util: add search_executable() to find search for an executable in PATH

2011-06-08 Ozan Çağlayan <ozan@pardus.org.tr>
	* util: remove unused copy_dir() too

2011-06-08 Ozan Çağlayan <ozan@pardus.org.tr>
	* graph: Rename concat() to flatten_list()

2011-06-08 Ozan Çağlayan <ozan@pardus.org.tr>
	* util: Rename concat() to flatten_list() and optimize it

2011-06-08 Ozan Çağlayan <ozan@pardus.org.tr>
	* util: Drop old, unused, weird shortcut functions

2011-06-08 Ozan Çağlayan <ozan@pardus.org.tr>
	* l10n: Update messages

2011-06-08 Ozan Çağlayan <ozan@pardus.org.tr>
	* check: Print a warning if some files can't be read

2011-06-08 Ozan Çağlayan <ozan@pardus.org.tr>
	* Update TR translations

2011-06-08 Ozan Çağlayan <ozan@pardus.org.tr>
	* l10n: Update messages

2011-06-08 Ozan Çağlayan <ozan@pardus.org.tr>
	* check: Refactor and improve whole check command

	Warn about denied accesses (pb#18308)
	Fix bad formatting issues

	Fixes the bug reported at http://bugs.pardus.org.tr/18308.

2011-06-07 Ozan Çağlayan <ozan@pardus.org.tr>
	* index: Use ctx.ui.info() instead of plain print

2011-06-07 Ozan Çağlayan <ozan@pardus.org.tr>
	* build: Mark the errors with the source package name to give more info

2011-06-07 Ozan Çağlayan <ozan@pardus.org.tr>
	* index: Heal multithreading related output problems

	index rewinds the line without writing \n which garbles the
	output when an exception is caught.

2011-06-07 Ozan Çağlayan <ozan@pardus.org.tr>
	* index: Remove obfuscated and outdated comments

2011-06-07 Ozan Çağlayan <ozan@pardus.org.tr>
	* Revert r37178 "cli: Add verbose and noln parameters to error() and status()"

2011-06-07 Ozan Çağlayan <ozan@pardus.org.tr>
	* util: Don't pass the file name in the exception

2011-06-07 Ozan Çağlayan <ozan@pardus.org.tr>
	* cli: Add verbose and noln parameters to error() and status()

2011-06-07 Ozan Çağlayan <ozan@pardus.org.tr>
	* tree-wide: Don't use weird asterisks at line beginnings

2011-06-07 Ozan Çağlayan <ozan@pardus.org.tr>
	* util: Raise FilePermissionDeniedError if the file cannot be
	read by the current user.

	Whitespace, variable name cleanups

2011-06-07 Ozan Çağlayan <ozan@pardus.org.tr>
	* cli: Suppress info about output directory

	The output directory will already be printed during the final
	step of package building.

2011-06-07 Ozan Çağlayan <ozan@pardus.org.tr>
	* build: Prune another useless warning

	This line is always printed, it doesn't actually warn the user about
	an anomaly.

2011-06-07 Ozan Çağlayan <ozan@pardus.org.tr>
	* operations/build: Clean-up outputs

	Prune always printed lines about component stuff,
	Dump build helper information only during build() to not pollute index output

2011-06-07 Ozan Çağlayan <ozan@pardus.org.tr>
	* index: Print package names on the same line during source indexing

2011-06-07 Ozan Çağlayan <ozan@pardus.org.tr>
	* index: Add missing i18n() calls around strings

2011-06-07 Ozan Çağlayan <ozan@pardus.org.tr>
	* operations/build: Add missing i18n() calls around strings

2011-06-01 Onur Küçük <onur@pardus.org.tr>
	* actionsapi: Fix typo in shelltools documentation

2011-05-31 Metin Akdere <metin@pardus.org.tr>
	* l10n: Update messages

2011-05-31 Metin Akdere <metin@pardus.org.tr>
	* l10n: Remove deprecated pygettext module

	As we switched to xgettext, scripts/pygettext file is redundant.

2011-05-31 Metin Akdere <metin@pardus.org.tr>
	* l10n: Switch from pygettext to xgettext

	Also add pisi.xml mimetype file. Remove scripts/update-po.sh file.

2011-05-30 H. İbrahim Güngör <ibrahim@pardus.org.tr>
	* l10n: Revert  nl.po since it is the yali translation actually.

2011-05-30 Fatih Aşıcı <fatih@pardus.org.tr>
	* pisi 2.4_beta1

	This is the first beta for the upcoming 2.4.x releases. This release
	includes enhancements, important bug fixes, and translation updates.

	The most notable change is the parallelization of index module. This
	reduces the time spent when indexing large repositories. Another
	important change is the fix for failure when a directory in a package
	becomes a symlink.

	There are also behavioural changes introduced in this release:

	 * delta: If all files in a package have changed, delta is not created
	   unless requested explicitly.
	 * build: Additional source files are now copied before applying
	   patches.
	 * cli: add-repo command now fails when a repo name/uri is not given.

2011-05-30 Fatih Aşıcı <fatih@pardus.org.tr>
	* l10n: Update messages

2011-05-30 Fatih Aşıcı <fatih@pardus.org.tr>
	* l10n/it: Do not break the line in translation

2011-05-27 Gökçen Eraslan <gokcen@pardus.org.tr>
	* index: Do not traverse hidden directories during index.

2011-05-24 Ozan Çağlayan <ozan@pardus.org.tr>
	* patches: Drop useless hunk

2011-05-24 Ozan Çağlayan <ozan@pardus.org.tr>
	* build: Put source additional files before applying patches.

	This way, we can apply a patch on top of an additional
	source file.

2011-05-23 Ozan Çağlayan <ozan@pardus.org.tr>
	* rng: Add AVASYSPL license for Epson scanner stuff

2011-05-23 Gökçen Eraslan <gokcen@pardus.org.tr>
	* index: Make sure that pool is safely closed and joined.

	Make sure we call close and join methods of Pool object
	properly in any case. This fixes hundreds of processes
	appeard in buildfarm.

2011-05-13 Gökçen Eraslan <gokcen@pardus.org.tr>
	* index: Parallelize indexing procedure using Python's multiprocessing module.

	Create a pool of worker processes to make indexing in a parallel fashion.
	Normally, all metadata parsing and SHA1 calculation process are done
	sequentially per package.
	This commits distributes all package-based parsing, SHA1 calculation process
	to worker processes to make it faster in multiprocessor/multicore systems.

2011-05-11 Ozan Çağlayan <ozan@pardus.org.tr>
	* scripts/pisi-sandbox: Update dates, versions

2011-05-07 Gökçen Eraslan <gokcen@pardus.org.tr>
	* rng: Add ZPLv2.0 license to RNG.

2011-04-27 Mehmet Emre Atasever <memre@pardus.org.tr>
	* revert <ExcludeArch> regex support, add armv7l to the <ExcludeArch> values

2011-04-27 Mehmet Emre Atasever <memre@pardus.org.tr>
	* pisi should manage <ExcludeArch> tags with regex

2011-04-12 Ozan Çağlayan <ozan@pardus.org.tr>
	* l10n: Update messages

2011-04-12 Ozan Çağlayan <ozan@pardus.org.tr>
	* operations/build: Fix CCache name to reflect upstream name ccache (pb#17713)

	Use ccache instead of CCache which doesn't reflect upstream name

	Fixes the bug reported at http://bugs.pardus.org.tr/17713.

2011-04-12 Ozan Çağlayan <ozan@pardus.org.tr>
	* cli/listavailable: Fix inconsistent coloring (pb#17716)

	Simplify code to fix the wrong coloring behaviour of pisi list-available
	command.

	Reported by: Anıl Özbek

	See http://bugs.pardus.org.tr/17716.

2011-04-05 Fatih Aşıcı <fatih@pardus.org.tr>
	* l10n: Update messages

2011-04-05 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/addrepo: Make name and URI parameters mandatory

	Previously it was adding a default repo if those parameters were not
	given.

	Fixes the bug reported at http://bugs.pardus.org.tr/15196.

2011-04-04 Fatih Aşıcı <fatih@pardus.org.tr>
	* l10n: Update messages

2011-04-04 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/info: Format the info output of source packages

	Thanks to Anıl Özbek for his patch.

	Fixes the bug reported at http://bugs.pardus.org.tr/17595.

2011-04-04 Fatih Aşıcı <fatih@pardus.org.tr>
	* specfile: Show licenses in package info

	A modified version of the patch provided by Anıl Özbek.

	Fixes the bug reported at http://bugs.pardus.org.tr/17596.

2011-04-04 Fatih Aşıcı <fatih@pardus.org.tr>
	* delta: Reduce code duplication

2011-04-03 Fatih Aşıcı <fatih@pardus.org.tr>
	* l10n: Update messages

2011-04-03 Fatih Aşıcı <fatih@pardus.org.tr>
	* delta: Change the way in previous commit

	No need to use an exception. Comparing the size of changed files and the
	new files is enough.

2011-04-03 Fatih Aşıcı <fatih@pardus.org.tr>
	* delta: Do not create delta if all files are different

2011-04-03 Fatih Aşıcı <fatih@pardus.org.tr>
	* delta: Minor refactoring in find_delta

	Use better variable names and reduce lambda usage.

2011-03-31 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Check max_count value

2011-03-31 Fatih Aşıcı <fatih@pardus.org.tr>
	* archive: Fix failure when a directory is changed with a symlink

2011-03-30 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Fix copy/paste error

2011-03-29 Fatih Aşıcı <fatih@pardus.org.tr>
	* rng: Add FDL-1.3 to the list of licenses

	Fixes the bug reported at http://bugs.pardus.org.tr/17528.

2011-03-26 Gökçen Eraslan <gokcen@pardus.org.tr>
	* index: Fix usage of remove_suffix.

2011-03-25 Fatih Aşıcı <fatih@pardus.org.tr>
	* pisi 2.4_alpha4

	This is the forth alpha for the upcoming 2.4.x releases. This release
	introduces two features as well as bug fixes and translation updates.

	The first feature which is added in this release is an API addition for
	use in buildfarm. With a new method, it is now possible to determine
	the old packages that will be used to create delta packages from.

	"Build flags" is another feature introduced in this release. Build flags
	can be used to enable/disable some operations/packages at build time.
	Currently, two flags are accepted: noDebug and noDelta.

2011-03-25 Fatih Aşıcı <fatih@pardus.org.tr>
	* l10n: Update Turkish translations

2011-03-25 Fatih Aşıcı <fatih@pardus.org.tr>
	* dtd,rng: Accept BuildFlags tag inside Package tags

2011-03-25 Fatih Aşıcı <fatih@pardus.org.tr>
	* build,specfile: Implement support for build flags

	Currently, it supports two flags: noDebug, noDelta.

	The usage is simple:

	    <Package>
	        ...
	        <BuildFlags>
	            <Flag>noDebug</Flag>
	            <Flag>noDelta</Flag>
	        </BuildFlags>
	        ...
	    </Package>

	noDebug flag is used to disable building of a debug package for this
	package tag.

	noDelta flag is used to disable building of delta packages
	automatically. It doesn't change the behaviour of "pisi delta" command.

2011-03-23 Fatih Aşıcı <fatih@pardus.org.tr>
	* index: Ignore debug packages of obsoleted packages

2011-03-23 Fatih Aşıcı <fatih@pardus.org.tr>
	* l10n: Update messages

2011-03-23 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Add a method to determine delta packages to be created

	This will be used by buildfarm. It accepts release numbers to create
	delta packages for stable distribution releases. If the release number
	is not given, it searches the binary package dirs for old packages and
	creates delta packages. max_count can be specified to limit numbers of
	delta packages.

	It is possible to override search paths via search_paths parameter.

	release and max_count parameters cannot be used at the same time.

	This commit also removes the max_delta_count option from config file
	since it is useless and confusing.

2011-02-28 H. İbrahim Güngör <ibrahim@pardus.org.tr>
	* l10n: Revert the latest Italian translation which breaks pisi.

2011-02-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Fail if a path does not start with a slash

2011-02-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Do not allow duplicate path values in spec file

2011-02-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* l10n: Update messages

2011-02-23 Fatih Aşıcı <fatih@pardus.org.tr>
	* installdb: Parse directory names correctly

	parse_package_name cannot parse directory names like "zlib-32bit".
	Implement a function to split names.

	Bumped cache version to force update.

2011-02-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Reload actions script for each build type

	So we can use get.buildTYPE() outside the functions in actions.py.

2011-02-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* pisi 2.4_alpha3

	This is the third alpha for the upcoming 2.4.x releases. This release
	introduces a new feature for building source packages with different
	configurations using the same actions.py. This is achieved with
	BuildType tags specified between Package tags.

	It is also possible to write build dependencies inside Package tags with
	this release. This is needed since additional build dependencies could
	be needed for different build types.

2011-02-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* build,config: Add a new config option to ignore build types

	Contains a comma-separated list of build type strings. Example:

	  ignored_build_types = 32bit,pae

2011-02-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Remove redundant check in previous commit

2011-02-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Iterate over Package tags to gather all build deps

2011-02-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* specfile: Accept BuildDependencies inside Package tags

	It will be used for build dependencies specific to a build type.

2011-02-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Colorize unpack message

2011-02-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Add support for build types

	With build types, it is possible to use the same actions.py
	for re-building the package with different options. In actions.py
	scripts, get.buildTYPE() function can be used to get the current
	build type.

	A BuildType tag must be specified inside the Package tag of the related
	binary package.

2011-02-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* specfile: Accept BuildType tag inside Package tags

	It is not functional at this time.

2011-02-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* sourcearchive: Pass target dirs to unpack methods

	This changes the internal API to make working with
	multiple work dirs possible.

2011-02-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Check build dependencies for unpack too

	"patch" utility is needed to unpack since we apply patches
	here.

2011-02-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Cosmetic change

	Yes, I don't like big "if" blocks.

2011-02-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: More simplifications

2011-02-19 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Minor simplifications

2011-02-07 Ozan Çağlayan <ozan@pardus.org.tr>
	* actionsapi/kerneltools: Don't fail if listnewconfig is not available

	listnewconfig is not available on 2.6.35. Call it in a try/except
	to avoid failing.

2011-01-31 Fatih Aşıcı <fatih@pardus.org.tr>
	* pisi 2.4_alpha2

	This is the second alpha for the upcoming 2.4.x releases. This
	release contains various fixes, actionsapi improvements, translation
	updates, and a new feature to generate reverse dependency graph with
	graph command.

2011-01-31 Fatih Aşıcı <fatih@pardus.org.tr>
	* fetcher: Add a timeout parameter to Fetcher.test()

2011-01-28 Ozan Çağlayan <ozan@pardus.org.tr>
	* specfile: Create Dependency objects for each package in a
	component dependency

	This should fix the usage of Component dependencies. I'm
	now testing.

2011-01-28 Ozan Çağlayan <ozan@pardus.org.tr>
	* specfile: Component dependencies are base strings

2011-01-28 Ozan Çağlayan <ozan@pardus.org.tr>
	* specfile: Fix typo: get_component() is a function.

2011-01-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* fetcher: Add a method to test connection using urlopen

2011-01-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* fetcher: Add a default value for destionation directory

2011-01-21 Gökçen Eraslan <gokcen@pardus.org.tr>
	* l10n: Fix Hu translation

	Fixes the bug reported at http://bugs.pardus.org.tr/16353.

2011-01-05 Ozan Çağlayan <ozan@pardus.org.tr>
	* comariface: Fix a case where names are not validated

	When name="xx-yy" is given explicitly in a <COMAR> tag, current
	code was not replacing the dash with an underscore causing D-Bus
	errors.

	This commit fixes this.

2011-01-05 Ozan Çağlayan <ozan@pardus.org.tr>
	* comariface: safe_script_name is a better name

2010-12-28 Ozan Çağlayan <ozan@pardus.org.tr>
	* actionsapi/kerneltools: Rework versioning stuff. I think it's okay now

2010-12-28 Ozan Çağlayan <ozan@pardus.org.tr>
	* patches: update non-root build patch

2010-12-27 Ozan Çağlayan <ozan@pardus.org.tr>
	* patches: Add patch to support non-root building

	* if config.tmp_dir is not writeable defaults to /tmp/pisi-$USER
	* if /var/cache/pisi/archives is not writeable defaults to /tmp/pisi-$USER
	* Move chowning additional files into postinstall
	* Assume that group == owner if no group is given for AdditionalFiles

	BUGS:

	All files extracted under work_dir and installed under install_dir
	has owner:group == uid:gid of the user which builds the package.

	TEST:
	Build a package with your regular user and install it

	EXPECTED RESULTS:
	You shouldn't have any exceptions but the files installed on your
	system will have the same ownership as your user ;)

2010-12-27 Ozan Çağlayan <ozan@pardus.org.tr>
	* actionsapi/kerneltools: This is changed to listnewconfig by upstream

2010-12-24 Ozan Çağlayan <ozan@pardus.org.tr>
	* actionsapi/kerneltools: Install Module.symvers and System.map under lib/modules too

2010-12-23 Ozan Çağlayan <ozan@pardus.org.tr>
	* actionsapi/kerneltools: More fixes and cleanup

	Avoid calling depmod
	Call nonint_oldconfig to check the configuration
	Call dumpVersion from here instead of actions.py

2010-12-22 Ozan Çağlayan <ozan@pardus.org.tr>
	* actionsapi/kerneltools: More fixes

2010-12-21 Ozan Çağlayan <ozan@pardus.org.tr>
	* actionsapi/kerneltools: Don't install kernel sources, it's useless

2010-12-21 Ozan Çağlayan <ozan@pardus.org.tr>
	* actionsapi/kerneltools: Use upstream ways to not install the firmwares

2010-12-21 Ozan Çağlayan <ozan@pardus.org.tr>
	* actionsapi/kerneltools: Rework EXTRAVERSION stuff

2010-12-18 H. İbrahim Güngör <ibrahim@pardus.org.tr>
	* l10n: Revert back to r34041 since non-latin characters in ru.po seems broken.

2010-12-18 H. İbrahim Güngör <ibrahim@pardus.org.tr>
	* l10n: Revert last commit

2010-12-14 Fatih Aşıcı <fatih@pardus.org.tr>
	* emerge: Fix package installation

	This is broken since the API change in Builder class.

2010-12-14 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Let build function return Builder object

2010-12-13 Bahadır Kandemir <bahadir@pardus.org.tr>
	* file: Don't overwrite file when using with local filesystem

2010-12-10 Bahadır Kandemir <bahadir@pardus.org.tr>
	* file: Fix not checking sha1sum

2010-12-10 Bahadır Kandemir <bahadir@pardus.org.tr>
	* file: Fixed not keeping original filename

2010-12-09 Bahadır Kandemir <bahadir@pardus.org.tr>
	* fetcher: Check integrity of files before saving to disk.

	Fetcher will check integrity of files using sha1sum file
	(and later with digital signatures) before saving them to
	their original locations.

2010-12-02 Ozan Çağlayan <ozan@pardus.org.tr>
	* util: Use -i instead of redirection

	GNU patch accepts -i to pass the patch file. Use that instead of
	redirection.

2010-11-25 Ozan Çağlayan <ozan@pardus.org.tr>
	* build: Warn if a patch file is empty

	GNU patch does not detect empty patch files so print
	a warning for empty patches before unpacking the source.

2010-11-24 Ozan Çağlayan <ozan@pardus.org.tr>
	* index: Remove faulty and unused name() method

	distribution class doesn't have any members called name and
	repositoryname.

2010-11-11 Fatih Aşıcı <fatih@pardus.org.tr>
	* history: Fix split error

2010-11-11 Fatih Aşıcı <fatih@pardus.org.tr>
	* history: Ugly fix for the regression caused by filename changes

	Since we didn't store distribution and architecture info in history
	database, takeback was not able to guess old package names.

2010-11-03 Fatih Aşıcı <fatih@pardus.org.tr>
	* api: Regenerate caches even if a repo-update fails

2010-11-03 Fatih Aşıcı <fatih@pardus.org.tr>
	* comariface: Code style fixes

2010-10-27 Bahadır Kandemir <bahadir@pardus.org.tr>
	* scripts: Check certificate validity and trustworthiness.

	pisign utility embeds certificate into Zip files and validates them
	before checking signature. It also looks into a trust_dir database
	to see if certificates are trusted or not. Check README for examples.

2010-10-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* check: Normalize symlink targets before calculating their sums

	Fixes the bug reported at http://bugs.pardus.org.tr/14906.

2010-10-25 Fatih Aşıcı <fatih@pardus.org.tr>
	* tree-wide: Make some error messages translatable

2010-10-25 Bahadır Kandemir <bahadir@pardus.org.tr>
	* scripts: Package signing tool verifies using certificate.

	Package signing tool verifies signed data using certificate instead
	of public key. It also verifies certificate, warns if it's self
	signed, fails if it's invalid.

2010-10-25 Bahadır Kandemir <bahadir@pardus.org.tr>
	* scripts: Various improvements in pisign.py

	- Get passphrase with getpass
	- Don't extract public key from certificate
	- Support signing/verifying multiple files at once

2010-10-24 Erdem Bayer <ebayer@bayer.gen.tr>
	* cli/graph: Add option to generate reverse dependency graph

2010-10-19 Fatih Aşıcı <fatih@pardus.org.tr>
	* tree-wide: Remove redundant setlocale's

	This commit also fixes the confirm method to repeat asking until
	a valid input is given.

2010-10-18 Fatih Aşıcı <fatih@pardus.org.tr>
	* rng: Update for type attribute in Archive tag

	It is now optional and accepts more types.

2010-10-14 Fatih Aşıcı <fatih@pardus.org.tr>
	* specfile: Thinko fix

	packageAnyDependencies is an array of AnyDependency objects, not
	Dependency!

2010-10-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* l10n: Fix fuzzy messages in Turkish translations

2010-10-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* l10n: Update messages

2010-10-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* tree-wide: Do not pass variables to the gettext function

2010-10-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Little improvements on info messages

2010-10-13 Fatih Arslan < farslan@pardus.org.tr>
	* actionsapi/texlivemodules: Add exception for None values of "patterns"

	Every format file has some keywords that are passed to the appropriate
	application during the build stage. However some of thes keywords, such
	as "patterns" may have Null values (do not exist) or have empty string.
	Thus, we add here an exception for Null values of "patterns". If no
	"patterns" keyword exist, than we create a new one with the parameter '-'
	This parameter is default and is adviced from the TexLive developers itself.

2010-10-11 Fatih Aşıcı <fatih@pardus.org.tr>
	* pisi 2.4_alpha1

	This is the first alpha for the upcoming 2.3.x releases. This
	release adds lots of new features. The most significant ones are
	the changes in the package format.

2010-10-11 Fatih Aşıcı <fatih@pardus.org.tr>
	* db: Bump cache version

2010-10-11 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Case fix

2010-10-11 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Update state file after building all packages

2010-10-11 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Remove useless info message

	Pisi fails when orphaned files found. No need to print this
	message for successful builds.

2010-10-11 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Tweak info messages

2010-10-09 Onur Küçük <onur@pardus.org.tr>
	* actionsapi/pisitools: Fix documentation of dolib

2010-10-08 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Return an empty list instead of None

	Also remove a debug line.

2010-10-08 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Hold a dictionary for delta package lists

2010-10-08 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Hold a seperate list for new debug packages

2010-10-08 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Create delta packages after build if max_delta_count > 0

	build_packages does not return a value any more. Code is really hacky
	but works.

2010-10-07 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Search old packages in {compiled,debug}_packages_dir too

	This is similar to the behaviour before the build number removal except
	that it does not search recursively.

2010-10-07 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Do not print error/warning counts if they equal to zero

2010-10-07 Fatih Aşıcı <fatih@pardus.org.tr>
	* util: Add function to generate a filename from the package info given

2010-10-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* specfile: Ignore build numbers

2010-10-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* history: Remove buildno-related stuff

2010-10-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* packagedb: Ignore build numbers in old formats

2010-10-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* installdb: Remove buildno-related stuff

2010-10-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* installdb,cli/listinstalled: Thinko fix

	The build host should be an empty string for old packages.
	"pisi li -b ''" now returns old packages, too.

2010-10-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/listinstalled: Replace --without-buildno with --with-build-host

	This renamed parameter is used to filter packages by their build host.

	  e.g. pisi li -b localhost

2010-10-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Hold an identifier for the host the package is built on

	This can be changed using build_host option in pisi.conf. The
	default value is "localhost". This can be used to distinguish
	buildfarm packages and the packages built by the user.

2010-10-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* tree-wide: Remove --ignore-build-no options

2010-10-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* atomicops: Remove build number checks

2010-10-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* api: Remove the code related to build numbers

2010-10-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* config: Remove buildno option

2010-10-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* tree-wide: Fix get_delta() usage

2010-10-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* index: Add support for new filename format of delta packages

	Also store release numbers instead of build numbers.

2010-10-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* util: Fix returned value

2010-10-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Change filename format of delta packages

	The new format is:

	    <name>-<source release>-<target release>-<distribution id>-<architecture>.delta.pisi

	    e.g. pisi-179-180-p11-x86_64.pisi

	Release numbers are used instead of build numbers.

2010-10-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* util: Add support for parsing the upcoming delta package name format

	This also adds utility functions to split fields of new filename format.

2010-10-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Change filename format of packages

	The new format is:

	    <name>-<version>-<release>-<distribution id>-<architecture>.pisi

	    e.g. pisi-2.3.2-180-p11-x86_64.pisi

	We will not use build numbers any more. This commit removes some of the code
	related to build numbers. New pisi will not deal with build numbers.
	Before the stable release, all buildno-related code will be removed.

	It is now possible to use digits after a dash character (e.g. polkit-qt-1).

	Distribution id is a short string to represent the distribution release
	(e.g. p11 for Pardus 2011).

	Architecture strings cannot start with a digit. This is needed to
	distinguish old and new packages.

2010-10-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* util: Add support for parsing the upcoming package name format

2010-10-01 Fatih Aşıcı <fatih@pardus.org.tr>
	* tests: Replace the path with __file__ in testCanAccessFile

	Otherwise, the result of the test is dependent on the installed
	packages.

2010-10-01 Fatih Aşıcı <fatih@pardus.org.tr>
	* config: Just ignore if we can't create the directory

2010-09-28 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Call pkg_src_dir() to get WorkDir path

	No need to keep a member for source directory.

2010-09-28 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Search WorkDir after unpacking sources

2010-09-28 Fatih Aşıcı <fatih@pardus.org.tr>
	* install: Do not calculate the sum of cached file twice

2010-09-27 Ozan Çağlayan <ozan@pardus.org.tr>
	* actionsapi/kerneltools: Refactor

2010-09-26 Fatih Aşıcı <fatih@pardus.org.tr>
	* config: Create directories if we have write access

	Also rename util.check_dir to util.ensure_dirs.

	Fixes the bug reported at http://bugs.pardus.org.tr/14000.

2010-09-26 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/build: If spec file is not given, fallback to ./pspec.xml

2010-09-26 Fatih Aşıcı <fatih@pardus.org.tr>
	* installdb: Real fix when Package tag is missing

2010-09-26 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Try WorkDir="." for archives with type "binary"

2010-09-26 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Fail if user-defined WorkDir does not exist

2010-09-26 Fatih Aşıcı <fatih@pardus.org.tr>
	* index: Add --compression-types option

	With this option, the compression type of index file can be selected.
	It is possible to pass multiple types separated by comma.

	e.g. pisi index --skip-signing --compression-types=bz2,xz

2010-09-26 Fatih Aşıcı <fatih@pardus.org.tr>
	* file: Handle all compressed files

	Now it signs all compressed index files and calculates sums
	of them.

2010-09-26 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/index: Code style fixes and simplifications

	Also remove a redundant info message.

2010-09-26 Fatih Aşıcı <fatih@pardus.org.tr>
	* file: Modify File class to accept multiple compression types

2010-09-26 Fatih Aşıcı <fatih@pardus.org.tr>
	* file: Remove unused gzip enum

2010-09-25 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Guess WorkDir from archive name

	If defined, use WorkDir in actions.py. If it is not defined or the
	directory does not exist, first try "srcname-version" then the
	basename of archive URL after splitting extensions.

2010-09-25 Fatih Aşıcı <fatih@pardus.org.tr>
	* specfile: Replace "current" string in release/version values

	With this feature, it is not necessary to hardcode versions/releases
	used in inter-dependencies.

	    <RuntimeDependencies>
	        <Dependency release="current">xorg-server-common</Dependency>
	    </RuntimeDependencies>

	The "current" value will be replaced by the release of the source
	package that this spec file defines. This is done when building
	the package so that binary packages and index files do not include
	"current" string.

2010-09-23 Fatih Aşıcı <fatih@pardus.org.tr>
	* installdb: Check if some mandatory tags in metadata.xml exist

2010-09-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Move build number warning to the end

	Otherwise it prints this warning for each sub-package.

2010-09-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Add dependencies of debug packages

	Currently, it only adds "foo" dependency to "foo-dbginfo" package.

2010-09-22 Gökçen Eraslan <gokcen@pardus.org.tr>
	* actionsapi/pisitools: Fix copy/paste typo

2010-09-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Generate a debug package for each sub-package

	This commit also changes the behavior when a sub-package does not
	contain any files. Such packages will not be built and a warning
	will be printed for each empty package.

2010-09-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* specfile: Make package descriptions mandatory again

2010-09-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Fix typo in path collision check

2010-09-15 Ozan Çağlayan <ozan@pardus.org.tr>
	* actionsapi/kerneltools: Don't show section mismatches

2010-09-15 Onur Küçük <onur@pardus.org.tr>
	* rng: Add new locales

2010-09-08 Fatih Arslan < farslan@pardus.org.tr>
	* actionsapi/texlivemodules: patterns have to be null string for change

	If the key "patterns" do not have any value (null string), than it should be
	replaced by "-". But the former condition was not able to catch up those null
	strings. The condition has changed to work properly.

2010-09-06 Fatih Arslan < farslan@pardus.org.tr>
	* actionsapi/texlivemodules: Refactor language function, fixes the broken parsing ability

	The old language function was not easy to read and understand. Splitting it into two
	functions makes it more readable. The code itself is rewritten from scratch. The
	function's parsing ability was by default faulty which has caused to create error .dat
	files.

2010-09-05 Gökmen Göksel <gokmen@pardus.org.tr>
	* unpisi: Add support to extract packages to a target directory

2010-09-01 Fatih Arslan < farslan@pardus.org.tr>
	* actionsapi/texlivemodules.py: Fixes logical false result, using shlex for better parsing"

2010-08-31 Fatih Arslan < farslan@pardus.org.tr>
	* actionsapi/texlivemodules: Fixes the behaviour of copying and moving of documentation files

2010-08-31 Fatih Arslan < farslan@pardus.org.tr>
	* actionsapi/texlivemodules: Modified to work properly with TexLive 2009 version

	Texlive 2009 has some significant changes in the source tree.

	-The format.cnf file is created from the information of tlpobj files. This is parsed via
	the function addFormat().
	-buildFormatFiles() has some enviroment changes.
	-The files of the source itself is distributed in the source dir. This must be relocated
	and re-distributed properly. This relocation information is available in the the tlpobj files.
	The function which reads the information and relocate the files is named as  moveSource().
	-handleConfigFiles() is rewritten to provide simplicity and readability. Also there is no need of
	parameters, because the prefixes are the same everywhere.
	-The order of the functions has been changed. First config files has to be created, after that it's
	possible to build formats

2010-08-21 Gökçen Eraslan <gokcen@pardus.org.tr>
	* actionsapi: Add Pardus CFLAGS/CXXFLAGS as qmake parameter instead of make parameter.

	If we add flag parameters to make, we totally override flags instead of add them.

2010-08-17 Fatih Aşıcı <fatih@pardus.org.tr>
	* archive: Comment a seek call as it causes a problem with Python 2.7

	It seems this call is redundant here. No known problems so far.

2010-08-17 Gökçen Eraslan <gokcen@pardus.org.tr>
	* actionsapi: Add includedir to qt4 module.

2010-08-17 Gökçen Eraslan <gokcen@pardus.org.tr>
	* actionsapi: Fix translation dir.

2010-08-17 Gökçen Eraslan <gokcen@pardus.org.tr>
	* actionsapi: Revert last commit, use upstream names for importdir, translationdir and plugindir.

2010-08-16 Gökçen Eraslan <gokcen@pardus.org.tr>
	* actionsapi: Change importdir, plugindir and translationdir to importsdir, pluginsdir and translationsdir for better integrity

2010-08-16 Gökçen Eraslan <gokcen@pardus.org.tr>
	* actionsapi: Add qt4 module to easily compile qmake based Qt packages.

2010-08-16 Gökçen Eraslan <gokcen@pardus.org.tr>
	* actionsapi: Add KDE4 module to easily compile and install cmake based KDE packages.

2010-08-16 Gökçen Eraslan <gokcen@pardus.org.tr>
	* actionsapi/cmaketools: Remove Makefile check from cmaketools.install

	Developer may add '-C dir' parameter, so we should take this into account.

2010-08-16 Gökçen Eraslan <gokcen@pardus.org.tr>
	* actionsapi/cmaketools: Remove Makefile check

	Developer may add '-C dir' parameter, so we should take this into account.

2010-08-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* actionsapi: Set localstatedir prefix to "/var"

2010-08-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* AUTHORS: Add missing developers and contributors

	Organized with three titles: maintainers, developers and contributors.

2010-08-05 Fatih Aşıcı <fatih@pardus.org.tr>
	* AUTHORS: Update contributor list

2010-08-05 Fatih Aşıcı <fatih@pardus.org.tr>
	* AUTHORS: Remove translators

2010-07-19 Fatih Aşıcı <fatih@pardus.org.tr>
	* actionsapi: Use octal values for all permissions

2010-07-18 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli: Use the parsed separator in line_format

2010-07-18 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli: Do not overwrite the value given by column parameter in formatted_output

	Fixes the bug reported at http://bugs.pardus.org.tr/13795.

2010-07-16 Fatih Aşıcı <fatih@pardus.org.tr>
	* upgrade: Check if the conflicting package is already in the upgrade list

2010-07-16 Fatih Aşıcı <fatih@pardus.org.tr>
	* scenarioapi/pspec: Properly add conflicts

2010-07-16 Fatih Aşıcı <fatih@pardus.org.tr>
	* scenarioapi/constants: Use uncompressed index file

2010-07-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* tests: Add tearDown method for cleanup

2010-07-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* tests: Fix InstallDB test

2010-07-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* upgrade: Try to resolve conflicts by upgrading

	If a package B conflicts with an old version of package A and
	does not conflict with the new version of A, add A to the upgrade list.
	Fixes conflict tests.

2010-07-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* tests: Add new conflict tests

	One of these tests fails because of a bug in Pisi :/

2010-07-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* tests: Build repo2

2010-07-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* tests: Set pisi config before running tests

2010-07-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* tests: Add repo2 to simulate an updated state of repo1

2010-07-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* tests: Add more packages

2010-07-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Handle actions.py errors

	Print a traceback for the actual exception.

	Fixes the bug reported at http://bugs.pardus.org.tr/13786.

2010-07-14 Gökmen Görgen <gkmngrgn@gmail.com>
	* pisi/actionsapi: Add rubymodules.py

	Written new module that is including API for simplifying to package Ruby
	applications.

2010-07-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* file: Set compression level to 9 for XZ

2010-07-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* tests: Use uncompressed index files

2010-07-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* index: Use XZ for compression

2010-07-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* tree-wide: Use is_compressed instead of hard-coding extensions

2010-07-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* file: Implement is_compressed method and simplify choosemethod

2010-07-13 Ozan Çağlayan <ozan@pardus.org.tr>
	* rng: Add Burmese locale

2010-07-12 Fatih Aşıcı <fatih@pardus.org.tr>
	* tests: Use the same Package instance when testing add_to_package

2010-07-12 Fatih Aşıcı <fatih@pardus.org.tr>
	* archive: Fix TypeError when adding an empty dir to ZIP archives

	Fixes archivetest.

2010-07-12 Fatih Aşıcı <fatih@pardus.org.tr>
	* file: Use isinstance() instead of type()

2010-07-12 Fatih Aşıcı <fatih@pardus.org.tr>
	* file: Add support for XZ-compressed files

2010-07-12 Fatih Aşıcı <fatih@pardus.org.tr>
	* tests: Build repo1

2010-07-12 Fatih Aşıcı <fatih@pardus.org.tr>
	* tests: Add a sample repository tree

2010-07-11 Fatih Aşıcı <fatih@pardus.org.tr>
	* tests: Fix shelltest

	It seems the execution order can change. We should
	break the dependencies between tests.

2010-07-11 Fatih Aşıcı <fatih@pardus.org.tr>
	* tests: Lots of fixes

	Thanks to the great work done by Gökhan Göktürk.

2010-07-06 Serdar Dalgıç <serdar@pardus.org.tr>
	* typo: fix typo in pisi/pisi/cli/blame.py

2010-07-05 Fatih Aşıcı <fatih@pardus.org.tr>
	* tests: Remove tmp dir before running tests

2010-07-05 Fatih Aşıcı <fatih@pardus.org.tr>
	* tests: Correct distro names and versions of example repositories

	Also set distro name and release in testcases.

2010-07-04 Fatih Aşıcı <fatih@pardus.org.tr>
	* rng: Add NCSA to the list of licenses

2010-07-04 Ozan Çağlayan <ozan@pardus.org.tr>
	* pisi/actionsapi: No need to check the existence of Makefile*

	install() and rawInstall() should not check the existence of a
	Makefile. This check prevents passing -C to those installation
	wrappers.

2010-07-03 Fatih Aşıcı <fatih@pardus.org.tr>
	* tests: Fix the test that overwrites /usr/bin/aclocal

2010-06-28 Fatih Aşıcı <fatih@pardus.org.tr>
	* delta: Check the names of old and new packages

	Warns and skips if the package names are different.

2010-06-24 Fatih Aşıcı <fatih@pardus.org.tr>
	* Move license files to uludag/trunk/doc/en

2010-06-24 Fatih Aşıcı <fatih@pardus.org.tr>
	* rng: Add CeCILL-B license

2010-06-24 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli: Ignore broken pipe errors

	Fixes the bug reported at http://bugs.pardus.org.tr/13609.

2010-06-24 Doruk Fişek <dfisek@fisek.com.tr>
	* licenses: Add CeCILL-B license

	Thanks to Necdet Yücel.

2010-06-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* package: Handle IO errors

2010-06-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/delta: Allow passing multiple old packages

	Usages: delta oldpackage1 oldpackage2 ...  newpackage
	        delta -t newpackage oldpackage1 oldpackage2 ...

2010-06-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* delta: Implement function to create multiple delta packages

	create_delta_package is now a wrapper around create_delta_packages.

2010-06-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* archive: Fix ArchiveZip adding empty dirs with incorrect paths

2010-06-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* delta: Extract install archive into a sub-directory

2010-06-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* delta: Add an option to specify the format of delta package

2010-06-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/build: Fix '-F help'

2010-06-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* constants: Remove unused strings

2010-06-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* delta: Improve comment

2010-06-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* delta: Remove temporary dir after creating delta packages

2010-06-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* delta: Use new package api to create delta packages

	It is now possible to create deltas by comparing packages with
	different formats.

2010-06-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* package: Add tmp_dir parameter to constructor

	Different operations might use different temp dirs.

2010-06-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* package: Use common code to get archive name and format

2010-06-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Use the methods in package module to reduce code duplication

2010-06-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* package: Implement common methods to read/create pisi files

2010-06-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* delta: Code style fixes

	Also replace deprecated .has_key() with "in" keyword.

2010-06-19 Fatih Aşıcı <fatih@pardus.org.tr>
	* unpisi: Do not fail if 'install' directory already exists

2010-06-19 Fatih Aşıcı <fatih@pardus.org.tr>
	* unpisi: Extract install.tar* archive into 'install' subdir

2010-06-19 Fatih Aşıcı <fatih@pardus.org.tr>
	* unpisi: Use pisi.package module instead of duplicating extraction code

2010-06-19 Fatih Aşıcı <fatih@pardus.org.tr>
	* unpisi: Add support for package format 1.2

2010-06-19 Fatih Aşıcı <fatih@pardus.org.tr>
	* Change package format to use XZ compression

	Version of the new package format is 1.2. Delta support is not ready yet.

2010-06-18 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Do not hardcode package formats in cli code

	Now, it is possible to see a list of supported formats
	with "-F help".

2010-06-17 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Lots of code style fixes

2010-06-17 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/build: Code style fixes

	Minor string changes are also included in this commit.

2010-06-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* archive: Guess archive type from file extension

	This makes "type" attribute of "Archive" tag optional.

2010-06-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* util: Check compression type passed to uncompress

	Also add "gz" as an alias for "gzip".

2010-06-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* util: Use Archive class in uncompress function

	This reduces code duplication and allows using patches compressed
	with lzma/xz.

2010-06-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* archive: Make "bz2" an alias for "bzip2"

	"bzip2" is used for archives and "bz2" is used for patches. Add this
	alias for consistency.

2010-06-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* archive: Add support for archive files compressed with lzma/xz

2010-06-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* archive: Add support for xz compressed tar archives

2010-06-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Handle the exception raises when archive type is unknown

2010-06-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* archive: Refactor Archive{Bzip2,Gzip}.unpack_dir methods

	Prepend output path with target dir instead of chdir'ing. Also remove
	rstrip's used for dropping extensions.

2010-06-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* archive: Code style fixes

2010-06-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* scripts: Update unpisi to extract using file objects

2010-06-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* install: Read install.tar.lzma without extracting it

	Do not waste time/space for extracting it from ZIP archive.

2010-06-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* archive: Allow passing a file-like object to ArchiveTar

	Also add an "open" function to ArchiveZip. This function
	returns a file-like object for files in Zip archives.

2010-06-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* archive: Add callback parameter to ArchiveTar.unpack_dir

	Install related stuff is moved from archive.py to atomicoperations.py
	by using a callback function.

2010-06-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* archive: Implement a separate class for tar.Z archives

	Also modify uncompress command to keep original archive after
	unpacking.

2010-06-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* install: Disable keyboard interrupts while extracting

	Fixes the bug reported at http://bugs.pardus.org.tr/10462.

2010-06-12 Fatih Aşıcı <fatih@pardus.org.tr>
	* archive: Import bz2 and gzip modules only when needed

2010-06-12 Fatih Aşıcı <fatih@pardus.org.tr>
	* archive: Use pyliblzma for (de)compression with lzma

	Pisi does not need "lzma" executable any more.

2010-06-12 Fatih Aşıcı <fatih@pardus.org.tr>
	* archive: Drop decompress function implemented for Python < 2.6

	Pisi does not support Python versions before 2.6. It is useless to keep
	this function here.

2010-06-10 H. İbrahim Güngör <ibrahim@pardus.org.tr>
	* l10n: Fix warning in sv.po

2010-06-03 Ozan Çağlayan <ozan@pardus.org.tr>
	* actionsapi: Update copyright dates

2010-06-03 Ozan Çağlayan <ozan@pardus.org.tr>
	* actionsapi/scons: Pass -j option to enable parallel builds

2010-06-03 Ozan Çağlayan <ozan@pardus.org.tr>
	* l10n: Improve 2 messages and their translations

2010-05-30 Fatih Aşıcı <fatih@pardus.org.tr>
	* pisi 2.3.1

	This release fixes a serious regression which prevents using local
	repositories with compressed index files. Also the compatibility
	of repositories without distribution info is ignored now.

2010-05-30 Fatih Aşıcı <fatih@pardus.org.tr>
	* scripts/make-changelog: Replace [at]'s with @ char and use tab char for indentation

2010-05-30 Fatih Aşıcı <fatih@pardus.org.tr>
	* repodb: Do not check compatibility if distro info is not included

	Check distro name if specified in index file. If distro release is also
	specified, check it for compatibility in addition to distro name.

2010-05-30 Fatih Aşıcı <fatih@pardus.org.tr>
	* repodb: Fix use of compressed local repositories

	This fixes a serious regression in 2.3. Repo index files are also cached
	when it is compressed. Parse the cached xml file if the uri of compressed
	index file is given as the repo address.

2010-05-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* rng: Allow 'critical' as a value for Type tag

2010-05-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* pisi 2.3

	This is the first stable release of 2.3.x series. This release
	includes assorted bug fixes that might be considered critical.

	Full changelog since version 2.2.19 is included in ChangeLog file.

2010-05-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* Remove NEWS file and update MANIFEST.in

2010-05-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* changelog: Rename old ChangeLog file

2010-05-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* scripts/make-changelog: Write bug report links

2010-05-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* scripts: Add a script to generate ChangeLog files from svn log

2010-05-26 Fatih Aşıcı <fatih@pardus.org.tr>
	* repodb: Do not search index files of local repos in /var/lib/pisi

	Fixes the bug reported at http://bugs.pardus.org.tr/13156.

2010-05-26 Fatih Aşıcı <fatih@pardus.org.tr>
	* repodb: Do not fail when Distribution tag is missing

2010-05-24 Fatih Aşıcı <fatih@pardus.org.tr>
	* install: Call flush/fsync for critical pisi files

	Fixes the bug reported at http://bugs.pardus.org.tr/13005.

2010-05-24 Ozan Çağlayan <ozan@pardus.org.tr>
	* Always use /root/.ccache for CCACHE_DIR for not bypassing ccache when we modify /root in actions.py. A more elegant way is to read CCACHE_DIR from pisi.conf

2010-05-24 Fatih Aşıcı <fatih@pardus.org.tr>
	* pisi 2.3_rc1

	This is the first release candidate for the upcoming 2.3.x releases.
	This release mostly includes bug fixes and translation updates.

2010-05-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* api/update_repo(s): Update caches when index is really updated

2010-05-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* api: Record forced update-repo operations in history

2010-05-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* config: Let --destdir= parameter work again

	This is another regression introduced after the Config class became
	a Singleton.

2010-05-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* specfile: Uninstalled packages cannot have update actions

2010-05-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* pisi 2.3_beta2

	This is the second beta for the upcoming 2.3.x releases. This release
	mostly includes bug fixes and translation updates.

2010-05-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* l10n: Update messages

2010-05-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/addrepo: Remove dead code

2010-05-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* repodb: Let check_distribution raise an error

	This commit moves the check from cli code to api.py. Check is done
	at every repo update. Also uses SourceName tag for getting distribution
	name.

2010-05-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* installdb: Fix errors when installed package info is broken

	If read of metadata.xml fails, warn user and consider that package as
	uninstalled.

	See http://bugs.pardus.org.tr/13005.

2010-05-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/build: Use Error class in pisi namespace

2010-05-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* config: Add a method for setting options

	This fixes a regression appeared after Config class became a singleton.
	Different parts of pisi tries to create an instance of Config class with
	different options. Since it is a singleton, later contructions won't
	get the new options. Fix this by implementing a new method for setting
	options instance.

2010-05-18 Fatih Aşıcı <fatih@pardus.org.tr>
	* Make Config and Constants classes singletons

2010-05-18 Fatih Aşıcı <fatih@pardus.org.tr>
	* util: Add a singleton metaclass

2010-05-18 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/install: Fix the exception raised when an unknown component name is provided

2010-05-18 Fatih Aşıcı <fatih@pardus.org.tr>
	* fetcher: Handle all fetch errors

	Also show the URI in the error message (not the local path).

	Fixes the bug reported at http://bugs.pardus.org.tr/10948.

2010-05-18 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/history: Pass -K option to less

	This causes less to exit cleanly when an interrupt character is typed.

	Fixes the bug reported at http://bugs.pardus.org.tr/12947.

2010-05-17 Fatih Aşıcı <fatih@pardus.org.tr>
	* dtd/rng: Replace update type 'bug' with 'critical'

2010-05-17 Serdar Dalgıç <serdar@pardus.org.tr>
	* cli/blame: Blame installed package instead of the one in the repositories.

	Fixes the bug reported at http://bugs.pardus.org.tr/12979.

2010-05-16 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/install: Fix help string

2010-05-16 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/upgrade: Fix help string

2010-05-16 Fatih Aşıcı <fatih@pardus.org.tr>
	* tree-wide: Remove redundant imports

2010-05-14 Fatih Aşıcı <fatih@pardus.org.tr>
	* pisi 2.3_beta1

	This is the first beta for the upcoming 2.3.x releases. This release
	includes important bug fixes beside some optimizations targeting more
	speed.

	No new features added and this time we are really closer to a stable
	release.

2010-05-14 Fatih Aşıcı <fatih@pardus.org.tr>
	* Update MANIFEST.in

2010-05-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* l10n: Update messages

2010-05-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/addrepo: Change the distro check behaviour as in 2.2 branch

	It looks for a DistributionName tag to check distro name. If it does not
	exist, the check is ignored.

2010-05-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* specfile: Refactor get_update_actions to simplify its usage

2010-05-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* installdb: Cleanup reverse dependency info when adding/removing a package

2010-05-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* installdb: Use a dictionary for reverse dep info

	Bumped cache version in order to avoid crashes with old caches.

2010-05-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* db/lazydb: Store a version string to track changes in cache file structure

	This is needed when new class members added or the type of a variable is
	changed.

2010-05-07 Fatih Aşıcı <fatih@pardus.org.tr>
	* install: Optimize clean_leftover to gain speed

	This improves the installation time of packages that have
	lots of files with the same name.

	e.g. kernel-module-headers having lots of files named
	     "Makefile" and "Kconfig".

2010-05-07 Fatih Aşıcı <fatih@pardus.org.tr>
	* delta: Use installdb data to find permission changes

	stat calls are expensive. We already have the old permission info in
	InstallDB. This fixes the performance regression caused by 26893.

2010-04-30 Fatih Aşıcı <fatih@pardus.org.tr>
	* comariface: Fix failure when registering COMAR scripts

	If a package provides multiple scripts and a service script precedes
	another script, System.Service.registerState is called for that script
	although it is not a script.

2010-04-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* upgrade: Fix the logic when finding broken packages

	Usually the reverse dependency gets broken *after* the upgrade is done. So,
	we must check the dependency info with satisfied_by_repo instead of
	satisfied_by_installed.

	This commit will hopefully fix the upgrade operations failing with:
	"Reverse dependency X of Y cannot be satisfied"

2010-04-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* scripts/update-po: Do not wrap lines and sort by file

	I hope this helps reducing the sizes of transifex commits.

2010-04-13 Serdar Dalgıç <serdar@pardus.org.tr>
	* scripts: update python docstrings and start implementing net_update function.

2010-04-13 Ozan Çağlayan <ozan@pardus.org.tr>
	* Implement lsbINFO() to get LSB information of the distribution

2010-04-11 Fatih Aşıcı <fatih@pardus.org.tr>
	* l10n: Cleanup tr.po

2010-04-11 Fatih Aşıcı <fatih@pardus.org.tr>
	* l10n: Update messages

2010-04-11 Fatih Aşıcı <fatih@pardus.org.tr>
	* scripts: Do not extract docstrings in optparse module

2010-04-11 Fatih Aşıcı <fatih@pardus.org.tr>
	* scripts: Fix update-po.sh script

	This fixes the untranslated strings in --help output.

2010-04-11 Fatih Aşıcı <fatih@pardus.org.tr>
	* Remove empty directory

2010-04-11 Fatih Aşıcı <fatih@pardus.org.tr>
	* scripts: Move all scripts into scripts directory

2010-04-11 Fatih Aşıcı <fatih@pardus.org.tr>
	* scripts: Move repo-related scripts out of pisi tree

2010-04-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Check abandoned files after copying all the additional files

	Previously the check was performed for all sub-packages. Now it checks
	only once.

2010-03-31 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/info: Use aligned texts to make output more readable

	Patch by Barış Metin. Modified to use util.get_terminal_size and
	str.join besides some cosmetic changes.

	Fixes the bug reported at http://bugs.pardus.org.tr/12536.

2010-03-30 Fatih Aşıcı <fatih@pardus.org.tr>
	* build/install: Fix exception handling in case of invalid version strings

2010-03-28 Klemens Häckel <click3d@linuxmail.org>
	* update of some new spanish language strings (kh)

2010-03-26 Fatih Aşıcı <fatih@pardus.org.tr>
	* po: Add missing end of line character in Turkish translation

2010-03-24 Fatih Aşıcı <fatih@pardus.org.tr>
	* pisi 2.3_alpha3

	This is the third alpha for the upcoming 2.3.x releases. This release
	includes important bug fixes and enhancements beside the optimizations
	for speed.

	Following new features are also implemented in this release:
	 - Support for specifiying different update types and actions for each
	   sub-package,
	 - Warnings for packages that need the restart of some services and
	   system reboot,
	 - Ability to rename service scripts.

2010-03-24 Fatih Aşıcı <fatih@pardus.org.tr>
	* po: Update for new messages

2010-03-24 Fatih Aşıcı <fatih@pardus.org.tr>
	* db: Remove repodb members to avoid caching of RepoDB instance

2010-03-23 Ozan Çağlayan <ozan@pardus.org.tr>
	* Implement configure()

2010-03-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* upgrade: Take all deps into account for the correct upgrade order

	This commit gets back the old logic changed by the recent commits.

2010-03-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* build: Copy additional source files when a build step is given too

2010-03-22 Serdar Dalgıç <serdar@pardus.org.tr>
	* implement list_keys, list_fingerprints, export and exportall parts.

2010-03-22 Serdar Dalgıç <serdar@pardus.org.tr>
	* add some file_existence checks, implement add, del, update func. , some improvements in the code.. Still Prototypesvn diff

2010-03-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/upgrade: Show packages that need serviceRestart and systemRestart before upgrade

2010-03-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/remove,upgrade: Revise safety switch messages

2010-03-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/install: Make package lists more readable and colorize messages

2010-03-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* upgrade: Remove redundant variable

2010-03-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/install,upgrade: Colorize package size info

2010-03-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* upgrade: Check the reverse dependencies of installed packages

2010-03-21 Fatih Aşıcı <fatih@pardus.org.tr>
	* upgrade: Use a single loop for finding packages to be upgraded

	If a package is added to the upgrade list because of a
	reverseDependencyUpdate action (e.g. google-gadgets because of
	libproxy), runtime dependencies of that package are not examined (e.g.
	webkit-gtk not installed although it is a dep of google-earth). This
	commit also fixes this issue.

2010-03-18 Serdar Dalgıç <serdar@pardus.org.tr>
	* add a prototype python script for GPG Key management in Pisi. Being adopted from apt-key script in apt. A step in Package Signing ;)

2010-03-18 Ozan Çağlayan <ozan@pardus.org.tr>
	* Don't install blacklisted system.base packages on update and new package install

2010-03-18 Fatih Aşıcı <fatih@pardus.org.tr>
	* dtd,rng: Update DTD and RelaxNG shemas for the recently added features

2010-03-18 Fatih Aşıcı <fatih@pardus.org.tr>
	* specfile: Rename targetPackage attribute in Action tags as target

	Service names can be different from the package names as of the previous
	commit.

2010-03-18 Ozan Çağlayan <ozan@pardus.org.tr>
	* Add ability to rename System.Service scripts

	<Provides>
	  <COMAR script="iscsi-service.py" name="iscsi">System.Service</COMAR>
	  <COMAR script="iscsid-service.py" name="iscsid">System.Service</COMAR>
	</Provides>

	Will register two separate system services called respectively "iscsi" and "iscsid". This way
	we don't have to split packages to give them separate names or to provide more than 1 services
	in a sub-package.

2010-03-18 Fatih Aşıcı <fatih@pardus.org.tr>
	* specfile: Replace get_update_types_and_actions function with faster ones

2010-03-18 Fatih Aşıcı <fatih@pardus.org.tr>
	* Add support to specify update types and actions for each sub-package

	Following is an example to specify "security" type and
	"reverseDependencyUpdate" action for different sub-packages.

	    <Update release="30">
	        <Date>2010-02-17</Date>
	        <Version>2.4.18</Version>
	        <Comment> ... </Comment>
	        <Type package="libdrm-intel">security</Type>
	        <Requires>
	            <Action package="libdrm-nouveau">reverseDependencyUpdate</Action>
	        </Requires>
	        <Name>Fatih Aşıcı</Name>
	        <Email>fatih@pardus.org.tr</Email>
	    </Update>

	It is also possible to specify different targets for the actions. In the
	following example, new release of mod_php package requires a restart of apache
	service.

	    <Update release="30">
	        <Date>2010-02-17</Date>
	        <Version>5.2.13</Version>
	        <Comment> ... </Comment>
	        <Requires>
	            <Action package="mod_php" targetPackage="apache">serviceRestart</Action>
	        </Requires>
	        <Name>Fatih Aşıcı</Name>
	        <Email>fatih@pardus.org.tr</Email>
	    </Update>

2010-03-17 Fatih Aşıcı <fatih@pardus.org.tr>
	* specfile: Initial bits for Type tags and Action attributes

2010-03-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/upgrade: Replace a ui.info with ui.status

2010-03-15 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/update-repo: Use ui.action to print 'Updating repository:' message

2010-03-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* cli/upgrade: Print package lists in a more readable format

2010-03-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* util: Add utility functions to print a list of strings by columns

2010-03-13 Fatih Aşıcı <fatih@pardus.org.tr>
	* installdb: Store package node and use it later to reach sub-nodes

2010-03-13 Patrik Karlsson <patrik@pardus.nu>
	* Swedish translation

2010-03-11 Anton Tolboom <atolboo@gmail.com>
	* Dutch language update of /trunk/pisi/po.nl.po

2010-03-09 Fatih Aşıcı <fatih@pardus.org.tr>
	* packagedb: Accelerate get_replaces

2010-03-09 Ozan Çağlayan <ozan@pardus.org.tr>
	* Don't use underscores for filenames in infodir

2010-03-08 Fatih Aşıcı <fatih@pardus.org.tr>
	* upgrade: Do not call get_replaces twice

2010-03-08 Fatih Aşıcı <fatih@pardus.org.tr>
	* repodb: Make error messages translatable

2010-03-08 Ozan Çağlayan <ozan@pardus.org.tr>
	* Those given parameters are nonsense and noop. Just give DESTDIR to install() for correct installation into sandbox.

2010-03-08 Ozan Çağlayan <ozan@pardus.org.tr>
	* Add forgotten log

2010-03-08 Fatih Aşıcı <fatih@pardus.org.tr>
	* repodb: Reduce the number of calls to piksemel.parse

2010-03-08 Fatih Aşıcı <fatih@pardus.org.tr>
	* Use make_version instead of Version class

	Also use int for release numbers.

2010-03-08 Fatih Aşıcı <fatih@pardus.org.tr>
	* Return immediately if a condition is not satisfied

	Also use make_version instead of Version class.

2010-03-08 Fatih Aşıcı <fatih@pardus.org.tr>
	* atomicoperations: Use make_version instead of Version class

	This also moves some variable initializations into inner scopes
	for optimization.

2010-03-08 Fatih Aşıcı <fatih@pardus.org.tr>
	* api: Remove unused variable

2010-03-08 Fatih Aşıcı <fatih@pardus.org.tr>
	* tests: Remove release numbers from version strings as they are no longer supported

2010-03-08 Fatih Aşıcı <fatih@pardus.org.tr>
	* version: Modify Version class to use make_version

2010-03-08 Fatih Aşıcı <fatih@pardus.org.tr>
	* api: Do not use Version class for full package versions

2010-03-08 Fatih Aşıcı <fatih@pardus.org.tr>
	* index: If the build numbers are same, use the release number.

	Pisi was selecting "icon-naming-utils-0.8.90-7-1.pisi" when both

	  icon-naming-utils-0.8.90-7-1.pisi
	  icon-naming-utils-0.8.90-8-1.pisi

	files exist in the same directory. With this commit, it chooses the one
	with greater release number.

2010-03-08 Fatih Aşıcı <fatih@pardus.org.tr>
	* Add split_version function to split version, release and build parts of a package version

2010-03-07 Fatih Aşıcı <fatih@pardus.org.tr>
	* Add make_version function

	pisi.version.Version is one of most frequently used class in pisi
	(esp. when calculating dependencies). This new function is a fast
	alternative which returns a tuple representation of version strings.
	Since python is able to compare tuple and list objects, we do not
	have to write a special compare function.

	Here are some results:

	In [7]: %timeit -n100000 pisi.version.make_version("1.2.3.4.5")
	100000 loops, best of 3: 8.12 us per loop

	In [8]: %timeit -n100000 pisi.version.Version("1.2.3.4.5")
	100000 loops, best of 3: 60.6 us per loop

	In [9]: %timeit -n100000 pisi.version.make_version("1.2") < pisi.version.make_version("1.3")
	100000 loops, best of 3: 10.1 us per loop

	In [10]: %timeit -n100000 pisi.version.Version("1.2") < pisi.version.Version("1.3")
	100000 loops, best of 3: 85.4 us per loop

2010-03-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* Use brightred for error messages

2010-03-06 Fatih Aşıcı <fatih@pardus.org.tr>
	* Accelerate iteration to find security updates

2010-03-04 Fatih Aşıcı <fatih@pardus.org.tr>
	* Refactor reverseDependencyUpdate search

2010-03-04 Fatih Aşıcı <fatih@pardus.org.tr>
	* Little optimization for Install class

	* Make release variables integer instead of Version
	* Create Version objects outside loops if possible
	* Do not iterate over all update tags

2010-03-04 Fatih Aşıcı <fatih@pardus.org.tr>
	* Optimize get_package_requirements a little

	Since release number are integers, we don't have to use Version objects.
	Also piksemel returns tags in the order they are written. So we don't
	have to iterate all update tags.

2010-03-04 Fatih Aşıcı <fatih@pardus.org.tr>
	* More consistent messages

2010-03-03 Fatih Aşıcı <fatih@pardus.org.tr>
	* Fix concatenation error

	This is a regression introduced when the support for
	Source/AdditionalFile support is added.

2010-03-01 Ozan Çağlayan <ozan@pardus.org.tr>
	* Use constants from constants.py

2010-03-01 Ozan Çağlayan <ozan@pardus.org.tr>
	* Use delta suffix value from constants.py

2010-03-01 Fatih Aşıcı <fatih@pardus.org.tr>
	* Thinko fix: Old and new file hashes might be different.

2010-03-01 Fatih Aşıcı <fatih@pardus.org.tr>
	* pisi 2.3_alpha2

	This is the second alpha for the upcoming 2.3.x releases. Beside the
	minor refactoring and cosmetic changes, this release includes important
	bug fixes related to delta packages. Also the installation of pisi
	packages with the old format is fixed.

2010-03-01 Fatih Aşıcı <fatih@pardus.org.tr>
	* Update ChangeLog

2010-02-28 Fatih Aşıcı <fatih@pardus.org.tr>
	* Do not print an empty exception message

2010-02-28 Fatih Aşıcı <fatih@pardus.org.tr>
	* Do not show traceback for handled pisi errors

2010-02-28 Fatih Aşıcı <fatih@pardus.org.tr>
	* Catch empty dirs when searching for abandoned files.
	Always show abandoned files whether the --debug option is given or not.

	Fixes the bug reported at http://bugs.pardus.org.tr/12342.

2010-02-28 Fatih Aşıcı <fatih@pardus.org.tr>
	* Update messages

2010-02-28 Fatih Aşıcı <fatih@pardus.org.tr>
	* Yet another place that doesn't take -D parameter into account

2010-02-28 Fatih Aşıcı <fatih@pardus.org.tr>
	* Take -D parameter into account when looking for file permission changes

2010-02-28 Fatih Aşıcı <fatih@pardus.org.tr>
	* Take -D parameter into account when checking files

2010-02-28 Fatih Aşıcı <fatih@pardus.org.tr>
	* Update ChangeLog

2010-02-28 Fatih Aşıcı <fatih@pardus.org.tr>
	* Show missing files in the output of pisi check

2010-02-28 Fatih Aşıcı <fatih@pardus.org.tr>
	* Check if the old and new paths refer to the same file when relocating or cleaning up.

	This commit also fixes updates with delta packages when the destination
	directory is "/" and fixes exceptions when an old file is not found.

2010-02-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* Update messages

2010-02-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* Better

2010-02-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* Print human readable error messages. We must use str instead of unicode in order to use __str__ method of exception classes.

2010-02-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* Remove redundant variable

2010-02-27 Fatih Aşıcı <fatih@pardus.org.tr>
	* Install files into correct paths when the old package format is used.

	This was a regression introduced when switching to python 2.6.

2010-02-23 Serdar Dalgıç <serdar@pardus.org.tr>
	* warn_and_remove needs one more argument=repo

2010-02-23 Fatih Aşıcı <fatih@pardus.org.tr>
	* Fix exceptions when path includes a trailing slash

2010-02-23 Serdar Dalgıç <serdar@pardus.org.tr>
	* correct the function name.

2010-02-23 Klemens Häckel <click3d@linuxmail.org>
	* update of some spanish language files (kh)

2010-02-23 Fatih Aşıcı <fatih@pardus.org.tr>
	* Create valid repos for test cases

2010-02-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* Fix archive tests

2010-02-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* Add missing shebang

2010-02-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* Refactor get_file_type function

2010-02-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* pisi 2.3_alpha1

	This is the first alpha for the upcoming 2.3.x releases. This
	release adds new features for building source packages on different
	architectures.

2010-02-22 Fatih Aşıcı <fatih@pardus.org.tr>
	* Remove the check for repository architecture

	The current infrastructure doesn't allow a unified repository for multiple
	architectures.

2010-02-22 Serdar Dalgıç <serdar@pardus.org.tr>
	* Use glob.glob0 and lstrip instead of glob.glob.

	Typos in filePaths in pspec.xml were sometimes ignored and abandoned files were not succesfully caught in some cases. Now it is fixed.

	Thanks Fatih for the collaboration.

2010-02-20 Fatih Aşıcı <fatih@pardus.org.tr>
	* Add target attribute to Archive tag. It can be used to extract the archive into a sub-directory.
2010-03-09 Ozan Çağlayan <ozan@pardus.org.tr>
		* pisi/constants.py: Don't use underscores to be compatible with other
		file names in infodir.

2010-03-08 Ozan Çağlayan <ozan@pardus.org.tr>
		* pisi/actionsapi/cmaketools.py: Those given parameters are nonsense
		and noop. Just give DESTDIR to install() for correct installation into
		sandbox.
		
2010-03-03 Fatih Aşıcı <fatih@pardus.org.tr>
		* pisi/operations/build.py: Fix concatenation error. This is a
		regression introduced when the support for Source/AdditionalFile
		support is added.

2010-03-01 Ozan Çağlayan <ozan@pardus.org.tr>
		* pisi/: Use the constants from constants.py instead of hardcoding
		them.

2010-02-28 Fatih Aşıcı <fatih@pardus.org.tr>
		* pisi/atomicoperations.py: Check if the old and new paths
		refer to the same file when relocating or cleaning up. Also
		fix updates with delta packages when the destination
		directory is "/" and fix exceptions when an old file is not
		found.
		* pisi/operations/check.py: Show missing files in the "check"
		command output. Take "-D" parameter into account when checking
		files.
		* pisi/operations/delta.py: Take -D parameter into account
		when looking for file permission changes.
		* pisi/api.py (snapshot): Take -D parameter into account when
		storing config files.
		* pisi/operations/build.py: Catch empty dirs when searching
		for abandoned files. Always show abandoned files whether the
		--debug option is given or not.
		* pisi-cli: Do not show traceback for handled pisi errors.

2010-02-27 Fatih Aşıcı <fatih@pardus.org.tr>
		* pisi/archive.py: Install files into correct paths when the old
		package format is used. This was a regression introduced when
		switching to python 2.6.

2010-02-22 Fatih Aşıcı <fatih@pardus.org.tr>
		* pisi/cli/addrepo.py, pisi/db/repodb.py: Remove the check
		for repository architecture as the current infrastructure
		doesn't allow a unified repository for multiple
		architectures.
		* pisi/operations/build.py: Refactor get_file_type function.

2010-02-12 Serdar Dalgıç <serdar@pardus.org.tr>
		* pisi/operations/build.py: Use glob.glob0 and lstrip instead of
		glob.glob. Typos in filePaths in pspec.xml were sometimes ignored and
		abandoned files were not succesfully caught in some cases. Now it is
		fixed. Thanks Fatih for the collaboration.

2010-02-12 Gökçen Eraslan <gokcen@pardus.org.tr>
		* pisi/actionsapi/shelltools.py: Replace FileError with ctx.ui.error
		since FileError is defined in pisitoolsfunctions.

2010-02-05 Fatih Aşıcı <fatih@pardus.org.tr>
		* pisi/version.py (compare): Allow comparing Version objects
		with strings.

2010-02-04 Ozan Çağlayan <ozan@pardus.org.tr>
		* pisi/pxml/autoxml.py (format): Some optional elements may be None
		during formatting, handle those situations. We still have a formatting
		issue caused by the automagical output representation of autoxml.

2010-02-02 Ozan Çağlayan <ozan@pardus.org.tr>
		* pisi/component.py(Maintainer): Add Maintainer tag to components.xml.

2010-01-26 Serdar Dalgıç <serdar@pardus.org.tr>
		* Handle urllib2 errors of dummy .part files created as a result of unreachable
		translations.xml's. Fixes #12136.

2010-01-23 Ozan Çağlayan <ozan@pardus.org.tr>
		* Add support for optional reverse="[tT]rue" in <Patch> for reverse applying
		a patch.

2010-01-22 Gökçen Eraslan <gokcen@pardus.org.tr>
		* pisi/actionsapi/perlmodules.py: Do not ignore parameter in make
		method (eg. perl Build test). Tests of some perl modules have never run
		before this commit.

2010-01-19 Ozan Çağlayan <ozan@pardus.org.tr>
		* pisi/specfile.py (_set_i18n): Handle parsing errors during
		translations.xml reading.
		* pisi/specfile.py (read_translations): Ignore source package
		translations if <Name> is empty in translations.xml.
		* pisi/version.py (VersionItem): Handle unknown keywords in version
		strings,
		* pisi/operations/build.py (Builder.__init__): Don't wait until
		creating .pisi file for borking about invalid version strings e.g.
		something like "0.5.6.1_x1219" in <Update> element.

2010-01-12 Ozan Çağlayan <ozan@pardus.org.tr>
		* pisi/actionsapi/get.py: Add ARCH() for getting host architecture.
		Thanks to 64-bit team for pointing out this requirement.

2010-01-04 Ozan Çağlayan <ozan@pardus.org.tr>
		* pisi/actionsapi/shelltools.py (unlink): Support glob patterns in
		unlink().

2009-12-21 Gökçen Eraslan <gokcen@pardus.org.tr>
		* pisi/actionsapi/cmaketools.py: Change CMake build type to
		RelWithDebInfo to get faster KDE packages.

2009-12-21 Fatih Aşıcı <fatih@pardus.org.tr>
		* pisi/cli/history.py: Fix exceptions raise after quitting history view.

2009-12-16 Serdar Dalgıç <serdar@pardus.org.tr>
		* pisi/cli/blame.py: Several enhancements in blame:
			- pisi bl works for LC_ALL=C
			- a new option "-a" / "--print-all": blame for all of the releases

2009-12-16 Serdar Dalgıç <serdar@pardus.org.tr>
		* pisi/operations/build.py: Warn if component.xml is not found in the
		upper directory, tag the source as a part of unknown component.

2009-12-15 Faik Uygur <faik@pardus.org.tr>
		* pisi/component.py (Component): Make LocalName, Summary and
		Description optional for cleaning up component.xml files in the
		repository.

2009-12-14 Serdar Dalgıç <serdar@pardus.org.tr>
		* Add architecture and distribution release check to pisi add-repo
		New parameter --ignore-check is added to pisi ar too.

2009-12-11 Serdar Dalgıç <serdar@pardus.org.tr>
		* pisi/operations/install.py: Check individual packages' Distribution
		Release and architecture properties before installing them.

2009-12-09 Serdar Dalgıç <serdar@pardus.org.tr>
		* pisi/specfile.py: Raise meaningful warning when translations.xml has
		invalid XML, closes bug #8969

2009-12-08 Bahadır Kandemir <bahadir@pardus.org.tr>
		* pisi/atomicoperations.py: Add package name to needs{Restart,Reboot}
		list if an update requires one of these actions.

2009-12-07 Bahadır Kandemir <bahadir@pardus.org.tr>
		* pisi/api.py, pisi/db/install.db, pisi/constants.py: Install DB
		changes and API methods for needs{Restart,Reboot} feature.

2009-12-04 Bahadır Kandemir <bahadir@pardus.org.tr>
		* pisi/scenarioapi/pspec.py: Reverted AnyDependency changes.

2009-12-04 Bahadır Kandemir <bahadir@pardus.org.tr>
		* pisi/scenarioapi/package.py: Fixed repo_version_bumped() ignoring
		with_version() argument.

2009-12-04 Bahadır Kandemir <bahadir@pardus.org.tr>
		* pisi/scenarioapi/pspec.py: AnyDependency support added to
		with_dependencies() method. Simply give AnyDependency list as an
		argument.

2009-11-22 Bahadır Kandemir <bahadir@pardus.org.tr>
		* pisi/operations/build.py, pisi/index.py: *Size variables should be
		long, instead of int.

2009-11-09 Faik Uygur <faik@pardus.org.tr>
		* pisi/actionsapi/perlmodules.py: KeepSpecial should control pod file removal.
                Remove .packlist files from perl packages.

2009-10-15 Ozan Çağlayan <ozan@pardus.org.tr>
		* pisi/operations/build.py (Builder.generate_debug_package_object):
		Don't append dbginfo to the debug packages' component.

2009-09-25 Gökçen Eraslan <gokcen@pardus.org.tr>
		* pisi/actionsapi/pisitools.py: In dosym method, file that already exists is the
		destination file, not the source file. Print the correct error message
		when there is already a destination file.

2009-09-22 Fatih Aşıcı <fatih@pardus.org.tr>
		* pisi/operations/build.py: Fix the special file patterns
		for the new code using python magic module.

2009-09-16 Ozan Çağlayan <ozan@pardus.org.tr>
		* pisi/archive.py (ArchiveBzip2): Implement ArchiveBzip2 to support
		.bz2 archive files,
		* pisi/operations/build.py (Builder.file_actions): Use python magic
		module instead of spawning file process to improve performance.

2009-09-08 Ozan Çağlayan <ozan@pardus.org.tr>
		* pisi/specfile.py (read_translations): Fix matching of translations
		against sub-packages.

2009-08-23 Fatih Aşıcı <fatih@pardus.org.tr>
		* Normalize target paths of symbolic links. Fixes #10976.

2009-08-22 Fatih Aşıcı <fatih@pardus.org.tr>
		* Add optional destDir parameter to pisitools.dohtml as
		pisitools.dodoc supports.

2009-08-04 Ozan Çağlayan <ozan@pardus.org.tr>
		* (pisi/util.py): Revert kernel module stripping for now as it's not
		tested well.

2009-08-14 Serdar Dalgıç <dalgic.srdr@gmail.com>
        * tarZ support for archives

2009-08-12 Jérôme Schneider <jerome.schneider@gmail.com>
		* Advanced search parameters added. pisi can now search only by name, summary
                or description of a package.

2009-08-11 Serdar Dalgıç <dalgic.srdr@gmail.com>
		* (cli/build.py): pisi build command now works in debug mode unless -q
		or --quiet parameter is passed.

2009-08-07 Ozan Çağlayan <ozan@pardus.org.tr>
		* (pisi/util.py): Strip kernel and modules as well as other binaries to build
		dbginfo packages for them.

2009-08-04 Ozan Çağlayan <ozan@pardus.org.tr>
		* (operations/build.py): Really fix the abandoned file checking when
		the path in pspec.xml and the actual path of a missed file intersects,
		* (operations/build.py): Check and fail if necessary for abandoned files before creating the
		*.pisi packages.

2009-08-03 Fatih Aşıcı <fatih@pardus.org.tr>
		* Make it possible to specify doc directory's name via destDir
		parameter provided to pisitools.dodoc.

2009-06-30 Onur Küçük <onur@pardus.org.tr>
		* Change default make job number from 1 to 3 in pisi defaults,
		sometimes it is forgotten and we need to see parallel build errors

2009-06-26 Fatih Aşıcı <fatih@pardus.org.tr>
		* Pass relative paths of patches to quilt. This makes the
		patches directory have the same structure as the files
		directory of package.

2009-06-16 Fatih Aşıcı <fatih@pardus.org.tr>
		* Fix resetting of the environment.

2009-06-06 Ozan Çağlayan <ozan@pardus.org.tr>
		* (operations/build.py): Sort the files according to their path names
		before adding them to the tarfile. This helps lzma to compress the
		install.tar better. Thanks Onur for noticing this and giving the idea.

2009-05-07 Bahadır Kandemir <bahadir@pardus.org.tr>
        * Set DBus timeout for setupPackage calls.

2009-05-05 Bahadır Kandemir <bahadir@pardus.org.tr>
        * Increase DBus timeout
        * Always set COMAR client locale

2009-05-04 Fatih Aşıcı <fatih@pardus.org.tr>
        * Change distribution release to 2009.

2009-04-09 Ozan Çağlayan <ozan@pardus.org.tr>
        * (scripts/revdep-rebuild): Ignore /opt/ptsp during library and binary
        search.

2009-03-30 Faik Uygur <faik@pardus.org.tr>
        * Fix a bug in new "reverseDependencyUpdate" tag, where it forces to install all reverseDeps that are
        also not installed

2009-03-24 Bahadır Kandemir <bahadir@pardus.org.tr>
        * Allow disabling delta package support from pisi.conf

2009-03-24 Bahadır Kandemir <bahadir@pardus.org.tr>
        * Merged COMAR patch. PiSi now has a cleaner comar interface module.

2009-03-11 Ozan Çağlayan <ozan@pardus.org.tr>
        * pisi/actionsapi/pisitools.py: Implement new method removeLaFiles()
        to recursively delete libtool *la files from /usr/lib.
        * pisi/configfile.py: Fix debug_packages_dir default value.

2009-03-09 Faik Uygur <faik@pardus.org.tr>
        * Fix pisi hs output for snapshot printing empty "*"

2009-02-13 Bahadır Kandemir <bahadir@pardus.org.tr>
        * Merged Python 2.6 patch

2009-02-13 Faik Uygur <faik@pardus.org.tr>
        * pisi-2.1.2

2009-02-13 Faik Uygur <faik@pardus.org.tr>
        * Make enableSandbox enabled default
        * Export CXX and CC before compiling

2009-02-10 Faik Uygur <faik@pardus.org.tr>
        * pisi history --takeback should not give an exception and quit when package
        does not found (#9083)

2009-02-10 Faik Uygur <faik@pardus.org.tr>
        * Make pisi search output colored like grep (#9156)

2009-02-05 Bahadır Kandemir <bahadir@pardus.org.tr>
        * pisi/api.py (configure_pending): Import comariface when necessary.

2009-02-05 Ozan Çağlayan <ozan@pardus.org.tr>
        * pisi/actionsapi/pisitools.py (dosed): Unlink backup file in all situations
        as it now raises warning instead of error.

2009-02-04 Faik Uygur <faik@pardus.org.tr>
        * Add --repository parameter to pisi upgrade operation to upgrade packages from only
        given repository (#6157)
        * Add activate/deactive repository functionality to pisi api
        * Add --repository parameter to use with --component parameter which lets pisi install
        operation to install components from only given repository (#8123)

2009-02-04 Ozan Çağlayan <ozan@pardus.org.tr>
        * po/*.po: Update PO messages, fix bugzilla url,
        * po/tr.po: Complete missing translations.
        * pisi/cli/listupgrades.py (run): Return if there are no updates, resize the first column of the output.
        * pisi/cli/listnewest.py (run): No need to double check for 'l' before the assignment of maxlen.

2009-02-02 Faik Uygur <faik@pardus.org.tr>
        * Add human readable package size info to pisi info output. (#8845)
        * Speed up finding old packages process. (#9101)

2009-02-01 Ozan Çağlayan <ozan@pardus.org.tr>
        * pisi/metadata.py (Package.__str__): Use human_readable_size() to output installed size.

2009-01-29 Faik Uygur <faik@pardus.org.tr>
        * Fix not allowing local letters other than [a-zA-Z] and space for repo names (#8361)

2009-01-28 Fatih Aşıcı <fatih@pardus.org.tr>
        * Fix auto-dodoc in pythonmodules to include ChangeLog, README, etc.

2009-01-27 Faik Uygur <faik@pardus.org.tr>
        * When a takeback operation is accepted there should be no other question (#8811)
        * Make pisi help command outputs translatable (#9089)
        * Add list_sources method to pisi api.

2009-01-26 Faik Uygur <faik@pardus.org.tr>
        * When pisi fails to download the package raise an error and exit. This is needed when
        pisi is behind a proxy with some virus control mechanism that sends a html status page
        instead of the package file. (#4113)
        * Add -x and --exclude-from packages parameters to install operation. (#9020)

2009-01-23 Faik Uygur <faik@pardus.org.tr>
        * Fix a critical regression bug which prevents an upgrade operation (#9038)

2009-01-20 Faik Uygur <faik@pardus.org.tr>
        * Fix a bug in the delta code that is discovered in virtualbox' delta package where a symlink
        is tried to be overwritten by the previous linked file with the same name.

2009-01-17 Ozan Çağlayan <ozan@pardus.org.tr>
        * pisi/operations/build.py (get_abandoned_files): Delimit the paths
        written in pspec.xml's Files section with a trailing '/' for not
        matching similar patterns like /usr/lib and /usr/libexec during
        abandoned files checking.

2009-01-16 Faik Uygur <faik@pardus.org.tr>
        * Add pisi list-newest [--since yyyy-mm-dd] [--last nth_previous_repo_ update]
        Lists the newly added packages in the repositories.

2009-01-14 Ozan Çağlayan <ozan@pardus.org.tr>
        * pisi/cli/listavailable.py (print_packages): Resize the first column
        dynamically according to the longest package name (#9021) and fix some
        other displaying issues concerning 'listavailable' command.
        * pisi/cli/listinstalled.py (run): Resize the first column
        dynamically according to the longest package name.

2009-01-09 Gökçen Eraslan <gokcen@pardus.org.tr>
        * pisi/actionsapi/cmaketools.py: If both -v and -d parameters are
        given, pass VERBOSE=1 parameter to make command. This results printing
        commands in make to the screen in addition to the colorful cmake progress lines.

2009-01-07 Faik Uygur <faik@pardus.org.tr>
        * pisi-2.1.1

2009-01-04 Gökçen Eraslan <gokcen@pardus.org.tr>
        * (pisi/actionsapi/{pisitools.py, pisitoolsfunctions.py,
        shelltools.py}): Check glob methods. This means, if any action in actions.py, operates
        on files that do not exist, pisi raises an exception about that.
        * (pisi/actionsapi/shelltools.py): Check return value of the given command of shelltools.system, raise
        exception if it is not equal to zero. This also effects methods using system, like domo, dobin, doman etc.
        * (pisi/actionsapi/pisitools.py): Raise exception, if dosed does not change anything in given file.

2008-12-27 Ozan Çağlayan <ozan@pardus.org.tr>
        * (pisi/cli/command.py): Trivial cosmetic patch by Ömer Fadıl Usta
        to fix the layout issue of 'pisi help' (#8907).

2008-12-23 Gökmen Göksel <gokmen@pardus.org.tr>
        * Fix dodoc for python

2008-12-23 Faik Uygur <faik@pardus.org.tr>
        * Fix replaced package upgrades regression. No upgrades was possible.
        * Fix optional and mandatory problem of <Requires> <Action> tags when
        pisi.spec.SpecFile is used.

2008-12-22 Faik Uygur <faik@pardus.org.tr>
        * Fail if build dependency install is unsuccesful.

2008-12-08 Ozan Çağlayan <ozan@pardus.org.tr>
        * Added 4Suite and Qhull licenses

2008-12-05 Faik Uygur <faik@pardus.org.tr>
        * Add get_config_files helper to installdb
        * Clean up pisi.api.check and move check to pisi.operations.check
        * Added --config parameter to pisi check that now checks and finds any
        changed config file (#8436)

2008-12-02 Faik Uygur <faik@pardus.org.tr>
        * If full path is given to pisi sf then lookup package in filesdb for
        a quick search result.

2008-12-01 Faik Uygur <faik@pardus.org.tr>
        * pisi-2.1.0

2008-11-27 Ozan Çağlayan <ozan@pardus.org.tr>
        * (cli/__init__.py): Flush stdin buffer just before asking a question.

2008-11-26 Faik Uygur <faik@pardus.org.tr>
        * Check versioning of the package while building and installing. (#5493)
        * Make warning message color brightyellow instead of brightred. Red indicates
        a fatal error. (#5619)

2008-11-25 Faik Uygur <faik@pardus.org.tr>
        * Fix fetching pspec.xml twice.
        * pisi cli does not have to give all user friendly messages. But "I/O Error"
        is not necessary here. (#6402)

2008-11-21 Faik Uygur <faik@pardus.org.tr>
        * Symlink files' existence should be checked not the linked file's. (#7336)
        * Check build dependencies before downloading all the patches of a
        remote build operation (#5370)

2008-11-19 Faik Uygur <faik@pardus.org.tr>
        * Install operation should fetch all the packages before starting to install.
        * Install operation should show the status of the operation (#8623)

2008-11-10 Faik Uygur <faik@pardus.org.tr>
        * If an unsatisfied build dep is found and another version of that package is installed
        build asks to install the package but than exits complaining that the package is already
        installed. (#8379)

2008-11-10 Türker Sezer <turkersezer@tsdesign.info>
        * Do not ask to remove conflicting packages until it is time to remove them. The
        message is misleading when --fetch-only is used. (#4539)

2008-11-05 Faik Uygur <faik@pardus.org.tr>
        * Force upgrade of replaced packages. Because they are also obsoleted packages,
        they will be removed in any way. This is not wanted for replaced driver packages.
        * Privilege warning messages added to pisi history command (#8515)

2008-11-03 Faik Uygur <faik@pardus.org.tr>
        * debug_packages_dir config option is added to calculate build nos
        of debug packages if they are moved to somewhere than compiled_packages_dir.

2008-10-15 Ozan Çağlayan <ozan@pardus.org.tr>
        * (po/de.po): Correct word for "Package" is "Paket" (Fixes #8501)

2008-10-15 Faik Uygur <faik@pardus.org.tr>
        * doman should also work on compressed man files. (#8426)

2008-10-06 Faik Uygur <faik@pardus.org.tr>
        * Raise exception when tried to run another instance of pisi. (#8145)

2008-09-25 Faik Uygur <faik@pardus.org.tr>
        * Fix leaving symlinks while removing a package problem.

2008-09-10 Fatih Aşıcı <fatih@pardus.org.tr>
        * Add validation for sub packages having icons.

2008-09-10 Ozan Çağlayan <ozan@pardus.org.tr>
        * Fix only the first unsatisfied runtime dependency being
        resolved while building a standalone package.

2008-09-08 Faik Uygur <faik@pardus.org.tr>
        * Add Requires tag to Update with actions.

2008-09-04 Faik Uygur <faik@pardus.org.tr>
        * Allow dot in repo name fix.

2008-09-03 Eren Türkay <turkay.eren@gmail.com>
        * Fix for false sandbox violation errors. (#7328)

2008-09-03 Faik Uygur <faik@pardus.org.tr>
        * pisi-2.0.1

2008-09-02 Faik Uygur <faik@pardus.org.tr>
        * Only add delta packages to latest build of the package.

2008-08-07 Faik Uygur <faik@pardus.org.tr>
        * Fix validity checks while adding a new repo. (#5940, #5906)
        * Increase console information line length. (#5281)
        * pisi it *.pisi was showing same package name multiple times
        as a dependency. (#7929)

2008-08-04 Faik Uygur <faik@pardus.org.tr>
        * Fix for pisi history not showing +999 operations bug.

2008-07-31 Türker Sezer <turkersezer@tsdesign.info>
        * Fix failing pisi la -c when component not found in the
        first repository. (#7929)
